php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
roweboat2003
Posts: 3
Joined: 2005/04/16 02:52:08
Contact:

php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by roweboat2003 » 2007/05/11 02:09:30

Hi All,

Just thought I might mention that the php-cli 5.1.6-12.el5 x86_64 package doesnt seem to be compiled correctly.

I have both the php-cli 5.1.6-12.el5 x86_64 package and php-mysql 5.1.6-12.el5 X86_64 installed.


It looks for all of it's modules under the 32 bit /usr/lib/php folder.

[root@www lib]# php -i | more
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/ldap.so' - /usr/lib/php/modules/ldap.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/mysql.so' - /usr/lib/php/modules/mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/mysqli.so' - /usr/lib/php/modules/mysqli.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/pdo.so' - /usr/lib/php/modules/pdo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/pdo_mysql.so' - /usr/lib/php/modules/pdo_mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/pdo_pgsql.so' - /usr/lib/php/modules/pdo_pgsql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/pdo_sqlite.so' - /usr/lib/php/modules/pdo_sqlite.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/pgsql.so' - /usr/lib/php/modules/pgsql.so: cannot open shared object file: No such file or directory in Unknown on line 0
phpinfo()
PHP Version => 5.1.6

.......


Altough packages like php-mysql 5.1.6-12.el5 X86_64 seem to place there modules in /usr/lib64/php



[root@www lib]# rpm -qi --filesbypkg php-mysql
Name : php-mysql Relocations: (not relocatable)
Version : 5.1.6 Vendor: CentOS
Release : 12.el5 Build Date: Tue 08 May 2007 06:41:14 PM CDT
Install Date: Thu 10 May 2007 03:27:55 PM CDT Build Host: builder6
Group : Development/Languages Source RPM: php-5.1.6-12.el5.src.rpm
Size : 198955 License: The PHP License v3.01
Signature : DSA/SHA1, Wed 09 May 2007 04:25:34 AM CDT, Key ID a8a447dce8562897
URL : http://www.php.net/
Summary : A module for PHP applications that use MySQL databases.
Description :
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php package.
php-mysql /etc/php.d/mysql.ini
php-mysql /etc/php.d/mysqli.ini
php-mysql /etc/php.d/pdo_mysql.ini
php-mysql /usr/lib64/php/modules/mysql.so
php-mysql /usr/lib64/php/modules/mysqli.so
php-mysql /usr/lib64/php/modules/pdo_mysql.so


Just a friendly note if you were like me and recently ran the yum update and found that your mysql driven websites no longer work.


A temporary fix that I made to get me running again was to create a soft link

ln -s /usr/lib64/php /usr/lib/php

After I ran this and restarted apache webserver, everything worked again. I plan on keeping it linked until a fix is put out since i dont use 32bit php stuff


Fun stuff,


8-) andy

roweboat2003
Posts: 3
Joined: 2005/04/16 02:52:08
Contact:

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by roweboat2003 » 2007/05/11 06:11:57

So is anyone else having this problem?

Or am I the only one :S

feverdream
Posts: 1
Joined: 2011/01/27 07:06:17

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by feverdream » 2011/01/27 07:31:30

Confirmed BUG.

I just installed a brand new Core Duo2 based 64 bit system with Centos5.5 yesterday and we ran into this issue, your post unblocked us so thanks!

Has this bug been filed?

User avatar
TrevorH
Forum Moderator
Posts: 27721
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by TrevorH » 2011/01/27 12:41:46

I don't have this problem here. Could you run

[code]
rpm -qa --qf "%{name}-%{version}.%{release}.%{arch}\n" | grep php
[/code]

and post the results please?

boksiora
Posts: 5
Joined: 2011/02/12 21:12:16

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by boksiora » 2011/02/12 21:28:54

I have the same problem.. please help

[quote]php -v
Failed loading /usr/local/ioncube/ioncube_loader_lin_5.1.so: /usr/local/ioncube/ioncube_loader_lin_5.1.so: undefined symbol: zend_unmangle_property_name_ex
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mysql.so' - libmysqlclient.so.15: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mysqli.so' - libmysqlclient.so.15: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/pdo_mysql.so' - libmysqlclient.so.15: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.2.10 (cli) (built: Nov 13 2009 11:44:05)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
with the ionCube PHP Loader v4.0.1, Copyright (c) 2002-2010, by ionCube Ltd.
[root@host ~]# [/quote]
[Moderator edit: Changed [i]code[/i] tags [i]quote[/i] to wrap lines and prevent forcing ultra-wide display.]

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by pschaff » 2011/02/12 22:29:08

Hijacking old [url=https://www.centos.org/modules/newbb/viewtopic.php?topic_id=3841&forum=27]threads[/url] is not the right way to seek help. Please read
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14274&forum=47]Readme First[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14408&forum=47]Installing Software[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14273&forum=47]Where to Find Answers[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=25128&forum=47]How to provide information about your system[/url]

Pose your question in a fresh Topic, with reference to other material if required for background, and you will have a much better chance of getting attention for your issue.

boksiora
Posts: 5
Joined: 2011/02/12 21:12:16

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by boksiora » 2011/02/12 23:43:23

[quote]
pschaff wrote:
Hijacking old [url=https://www.centos.org/modules/newbb/viewtopic.php?topic_id=3841&forum=27]threads[/url] is not the right way to seek help. Please read
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14274&forum=47]Readme First[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14408&forum=47]Installing Software[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14273&forum=47]Where to Find Answers[/url]
[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=25128&forum=47]How to provide information about your system[/url]

Pose your question in a fresh Topic, with reference to other material if required for background, and you will have a much better chance of getting attention for your issue.[/quote]


what do you mean

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by pschaff » 2011/02/13 00:00:05

[quote]
boksiora wrote:
what do you mean[/quote]

[url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14274&forum=47]Readme First[/url]:
------------------------------------------------------------------------------------------------------------------
[b][size=120]7. Use a descriptive title for your thread[/size][/b]

Firstly, post your own thread. [b]Do not hijack someone else's thread[/b], even if you think your question is related. You may post a link to any related threads that you feel are appropriate. Posting at the end of an old thread will also make it much less likely that you will get attention, and thus answers to your questions.

Use a descriptive title for your thread. This is your one chance to advertise what it is you require help with and persuade people to actually read and potentially answer your question. Do not SHOUT and your question is [b]not[/b] urgent (at least not to anyone else). Please do not use txt speak or exclamation marks (!!!!).
------------------------------------------------------------------------------------------------------------------
See also [url=http://www.google.com/search?q=thread+hijacking&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a]thread hijacking[/url].

User avatar
AlanBartlett
Forum Moderator
Posts: 9324
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

Re: php-cli 5.1.6-12.el5 x86_64 package not compiled correctly

Post by AlanBartlett » 2011/02/13 00:05:04

[quote]
boksiora wrote:
what do you mean
[/quote]
Do you have a friend or colleague who could explain, in your native language, exactly what has been said in post number six?

Post Reply

Return to “CentOS 5 - X86_64,s390(x) and PowerPC Support”